### Method

# Gtk ComboBoxText insert

#### Declaration [src]

    void
    gtk_combo_box_text_insert (
      GtkComboBoxText* combo_box,
      int position,
      const char* id,
      const char* text
    )

#### Description [src]

Inserts `text` at `position` in the list of strings stored in `combo_box`.

If `id` is non-`NULL` then it is used as the ID of the row. See `GtkComboBox:id-column`.

If `position` is negative then `text` is appended.

#### Parameters

`position` | `int`
| An index to insert `text`.
`id` | `const char*`
| A string ID for this value.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`text` | `const char*`
| A string to display.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.